aboutsummaryrefslogtreecommitdiff
path: root/Builder
diff options
context:
space:
mode:
Diffstat (limited to 'Builder')
-rwxr-xr-xBuilder27
1 files changed, 27 insertions, 0 deletions
diff --git a/Builder b/Builder
new file mode 100755
index 0000000..31e79d6
--- /dev/null
+++ b/Builder
@@ -0,0 +1,27 @@
+#!/bin/sh -
+
+set -ex
+
+sed -i '/mount -t proc /d; /mount -t sysfs /d' /debootstrap/functions
+/debootstrap/debootstrap --second-stage
+
+apt-get update
+
+apt-get install -y \
+ libglib2.0-0 \
+ libxrandr2 \
+ python-xvfbwrapper \
+ ratpoison \
+ sudo
+
+adduser --disabled-password --gecos 'Cryptech Build Bot' --shell /bin/sh builder
+
+echo >/etc/sudoers.d/builder 'builder ALL = (ALL) NOPASSWD: SETENV: ALL'
+
+install -o builder -g builder /cryptech-builder/Xilinx.lic /home/builder/Xilinx.lic
+
+ln -sf /bin/bash /bin/sh
+
+/cryptech-builder/Ratinox
+
+rm -rf /Xilinx_ISE_DS_Lin_14.7_1015_1 /home/builder/Xilinx.lic